module NavigationHelpers
	def path_to(page_name)
		"https://#{SERVER}/" +
		case page_name
		when /LogServer main page/
			'logserver/'
		when /main page/
			'monitor/index.php/tac/index'
		when /LogServer login page/
			'logserver'
		when /View logs/
			'logserver/view/logs'
		when /login page/
			'monitor/index.php/default/show_login'
		when /nagvis page/
			'monitor/index.php/nagvis/index'
		when /nacoma page/
			'monitor/op5/nacoma/'
		when /Host details page/
			'monitor/index.php/status/host/all'
		when /Configure page/
			'monitor//index.php/configuration/configure'
		when /PNP page/
			'monitor/index.php/pnp/'
		when /"View logs" page/
			'logserver/view/logs/'
		else
			raise "Can't find mapping from \"#{page_name}\" to a path.\n" +
				"Now, go and add a mapping in #{__FILE__}"
		end
	end

	def url_for(path)
		"https://#{SERVER}" + path
	end
end

World(NavigationHelpers)
